const Sequelize = require("sequelize");
const bcryptjs = require("bcryptjs");
const sequelizeConnect = require("../connection/db");

const TruckType = sequelizeConnect.define(
  "truck_type",
  {
    id: {
      type: Sequelize.BIGINT,
      primaryKey: true,
      allowNull: false,
      autoIncrement: true,
    },
    logistics_id: {
      type: Sequelize.BIGINT,
      allowNull: false,
    },
    truck_type: {
      type: Sequelize.STRING(150),
      allowNull: false,
    },
    
},
{
    tableName: "truck_type",
    timestamps: false,
    
})

module.exports = TruckType;
